<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class IsAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
   public function handle(Request $request, Closure $next): Response
{
    // Cek apakah pengguna sudah login DAN merupakan admin
    if (auth()->check() && auth()->user()->is_admin) {
        return $next($request); // Jika ya, lanjutkan request
    }

    // Jika tidak, kembalikan ke halaman utama atau halaman login
    return redirect('/')->with('error', 'Anda tidak memiliki hak akses admin!');
}
}
